Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class XHTMLoutput

    java.lang.Object
      OOXMLconvert.XHTMLoutput

    public class XHTMLoutput

extends java.lang.Object

Constructor Summary
`XHTMLoutput()`

Method Summary
`private static boolean` | `isEqualStyle(Element el1, Element el2)` Funkcia porovnáva dva elementy, či majú rovnaké formátovanie
`static void` | `mergeSpanBlocks(Element el)` Funkcia spojí dva span bloky ak majú rovnaké formátovanie
`private void` | `useNamespaceForAllDesc(Element el, Namespace ns)` Funkcia aplikuje dané namespace na všetkých potomkov
`boolean` | `writeXHTML(Element bodyEl)` Funkcia, ktorá zapíše výstupné XHTML do súboru

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLoutput

    public XHTMLoutput()

Method Detail

### useNamespaceForAllDesc

    private void useNamespaceForAllDesc(Element el,
                                        Namespace ns)

  Funkcia aplikuje dané namespace na všetkých potomkov

  Parameters:
    `el` - element, na ktorom sa má aplikovať namespace
    `ns` - namespace

### isEqualStyle

    private static boolean isEqualStyle(Element el1,
                                        Element el2)

  Funkcia porovnáva dva elementy, či majú rovnaké formátovanie

  Parameters:
    `el1` - prvý element na porovnanie
    `el2` - druhý element na porovnanie
  Returns:
    true ak majú elementy rovnaké formátovanie, false inak

### mergeSpanBlocks

    public static void mergeSpanBlocks(Element el)

  Funkcia spojí dva span bloky ak majú rovnaké formátovanie

  Parameters:
    `el` - element na prehľadávanie rovnakých po sebe nasledujúcich blokov

### writeXHTML

    public boolean writeXHTML(Element bodyEl)

  Funkcia, ktorá zapíše výstupné XHTML do súboru

  Parameters:
    `bodyEl` - body element XHTML dokumentu
  Returns:
    true ak nenastala chyba, false inak

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD